package com.huashe.park.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
/**
 * 巡检轨迹对象 park_inspect_task_usr_trail
 * 
 * @author ruoyi
 * @date 2025-01-07
 */
public class ParkInspectTaskUsrTrail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    @Excel(name = "编号")
    private Long id;

    /** 关系id */
    private Long taskUsrRelId;

    /** 任务名称 */
    @Excel(name = "任务名称")
    private String taskName;

    /** 任务主键 */
    private Long taskId;

    /** 任务执行人 */
    private String usrId;

    /** 巡检轨迹 */
    @Excel(name = "巡检轨迹")
    private String trail;


    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setTaskUsrRelId(Long taskUsrRelId) 
    {
        this.taskUsrRelId = taskUsrRelId;
    }

    public Long getTaskUsrRelId() 
    {
        return taskUsrRelId;
    }
    public void setTaskName(String taskName) 
    {
        this.taskName = taskName;
    }

    public String getTaskName() 
    {
        return taskName;
    }
    public void setTaskId(Long taskId) 
    {
        this.taskId = taskId;
    }

    public Long getTaskId() 
    {
        return taskId;
    }
    public void setUsrId(String usrId) 
    {
        this.usrId = usrId;
    }

    public String getUsrId() 
    {
        return usrId;
    }
    public void setTrail(String trail) 
    {
        this.trail = trail;
    }

    public String getTrail() 
    {
        return trail;
    }


    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("taskUsrRelId", getTaskUsrRelId())
            .append("taskName", getTaskName())
            .append("taskId", getTaskId())
            .append("usrId", getUsrId())
            .append("trail", getTrail())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("tenantId", getTenantId())
            .toString();
    }
}
